curl -X PUT https://api.llmgenerator.com/api/v1/accounts/profile \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"firstName": "Jane",
"company": "New Company Inc"
}'
const response = await fetch(
'https://api.llmgenerator.com/api/v1/accounts/profile',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
firstName: 'Jane',
company: 'New Company Inc'
})
}
);
{
"success": true,
"message": "Profile updated successfully",
"account": {
"id": "user_abc123def456",
"firstName": "Jane",
"lastName": "Doe",
"company": "New Company Inc",
"updatedAt": "2026-01-27T10:00:00.000Z"
}
}
{
"message": "Validation error: First name must be at least 1 character"
}
계정 관리
계정 프로필 수정
인증된 사용자의 프로필을 수정하는 엔드포인트입니다.
curl -X PUT https://api.llmgenerator.com/api/v1/accounts/profile \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"firstName": "Jane",
"company": "New Company Inc"
}'
const response = await fetch(
'https://api.llmgenerator.com/api/v1/accounts/profile',
{
method: 'PUT',
headers: {
'Authorization': 'Bearer YOUR_API_KEY',
'Content-Type': 'application/json'
},
body: JSON.stringify({
firstName: 'Jane',
company: 'New Company Inc'
})
}
);
{
"success": true,
"message": "Profile updated successfully",
"account": {
"id": "user_abc123def456",
"firstName": "Jane",
"lastName": "Doe",
"company": "New Company Inc",
"updatedAt": "2026-01-27T10:00:00.000Z"
}
}
{
"message": "Validation error: First name must be at least 1 character"
}
이 페이지가 도움이 되었나요?
⌘I